
Redmine - Defect #37499

Default query should not be applied if the query is not allowed to be set as the default

2022-07-27 08:27 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.3   

Resolution: Fixed Affected version: 5.0.0

Description

There are conditions on the queries that can be set as the default query. For example, the query you want to set as the global default

or project default must be a public query.

However, you can set a non-public query as the default query with the following steps.

1. Create a public issue query

2. Set the query as the project default

3. Change the visibility of the query from "to any users" to "to me only"

4. Login with another user and open the "Issues" tab of the project. The user will get an error "403 You are not authorized to access

this page"

To avoid the error, Redmine should not try to apply the default query when a query that is not allowed to be set as the default is the

current default query.

Related issues:

Related to Redmine - Patch #37608: Check visibility for passed user in IssueQ... Closed

Associated revisions

Revision 21748 - 2022-07-31 15:33 - Go MAEDA

Default query should not be applied if the query is not allowed to be set as the default (#37499).

Patch by Mizuki ISHIKAWA.

Revision 21753 - 2022-08-02 10:09 - Go MAEDA

Merged r21748 from trunk to 5.0-stable (#37499).

Revision 21781 - 2022-08-26 03:19 - Go MAEDA

Check visibility for passed user in IssueQuery.default (#37499, #37608).

Patch by  Holger Just.

Revision 21870 - 2022-09-29 05:35 - Go MAEDA

Merged r21781 from trunk to 5.0-stable (#37499, #37608).

History

#1 - 2022-07-27 08:28 - Go MAEDA

- Description updated

#2 - 2022-07-28 06:55 - Mizuki ISHIKAWA

- File fix-37499.patch added

Patch attached.

The default_project_query also has the same problem, so I have fixed it.

#3 - 2022-07-28 08:14 - Go MAEDA

- Subject changed from Default query should be ignored if the query is not allowed to be set as the default to Default query should not be applied if the

query is not allowed to be set as the default
#4 - 2022-07-28 14:44 - Go MAEDA

- Target version set to Candidate for next major release

#5 - 2022-07-30 10:04 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.3

Setting the target version to 5.0.3.

#6 - 2022-07-31 15:33 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#7 - 2022-08-02 10:09 - Go MAEDA

- Status changed from Resolved to Closed

#8 - 2022-08-25 19:23 - Holger Just

- Related to Patch #37608: Check visibility for passed user in IssueQuery.default added

Files

fix-37499.patch 6.23 KB 2022-07-28 Mizuki ISHIKAWA
